com.io7m.jcanephora.core

## Enum JCGLDepthFunction

- java.lang.Object
- - java.lang.Enum<JCGLDepthFunction>
  - - com.io7m.jcanephora.core.JCGLDepthFunction

- All Implemented Interfaces:
    Serializable, Comparable<JCGLDepthFunction>

      public enum JCGLDepthFunction
      extends Enum<JCGLDepthFunction>

  Depth function specification.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEPTH_ALWAYS` The always-true depth function; `GL_ALWAYS`
    `DEPTH_EQUAL` True if the current depth value is equal to the incoming depth value; `GL_EQUAL`
    `DEPTH_GREATER_THAN` True if the current depth value is greater than the incoming depth value; `GL_GREATER`
    `DEPTH_GREATER_THAN_OR_EQUAL` True if the current depth value is greater than or equal to the incoming depth value; `GL_GEQUAL`
    `DEPTH_LESS_THAN` True if the current depth value is less than the incoming depth value; `GL_LESS`
    `DEPTH_LESS_THAN_OR_EQUAL` True if the current depth value is less than or equal to the incoming depth value; `GL_LEQUAL`
    `DEPTH_NEVER` Never true; `GL_NEVER`
    `DEPTH_NOT_EQUAL` True if the current depth value is not equal to the incoming depth value; `GL_NOTEQUAL`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLDepthFunction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCGLDepthFunction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEPTH_ALWAYS

          public static final JCGLDepthFunction DEPTH_ALWAYS

      The always-true depth function; `GL_ALWAYS`

    - #### DEPTH_EQUAL

          public static final JCGLDepthFunction DEPTH_EQUAL

      True if the current depth value is equal to the incoming depth value; `GL_EQUAL`

    - #### DEPTH_GREATER_THAN

          public static final JCGLDepthFunction DEPTH_GREATER_THAN

      True if the current depth value is greater than the incoming depth value; `GL_GREATER`

    - #### DEPTH_GREATER_THAN_OR_EQUAL

          public static final JCGLDepthFunction DEPTH_GREATER_THAN_OR_EQUAL

      True if the current depth value is greater than or equal to the incoming depth value; `GL_GEQUAL`

    - #### DEPTH_LESS_THAN

          public static final JCGLDepthFunction DEPTH_LESS_THAN

      True if the current depth value is less than the incoming depth value; `GL_LESS`

    - #### DEPTH_LESS_THAN_OR_EQUAL

          public static final JCGLDepthFunction DEPTH_LESS_THAN_OR_EQUAL

      True if the current depth value is less than or equal to the incoming depth value; `GL_LEQUAL`

    - #### DEPTH_NEVER

          public static final JCGLDepthFunction DEPTH_NEVER

      Never true; `GL_NEVER`

    - #### DEPTH_NOT_EQUAL

          public static final JCGLDepthFunction DEPTH_NOT_EQUAL

      True if the current depth value is not equal to the incoming depth value; `GL_NOTEQUAL`

  - ### Method Detail

    - #### values

          public static JCGLDepthFunction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCGLDepthFunction c : JCGLDepthFunction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCGLDepthFunction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 <code@io7m.com> http://io7m.com